# GstWebRTCSessionDescription

https://www.w3.org/TR/webrtc/#rtcsessiondescription-class

## GstWebRTCSessionDescription

See https://www.w3.org/TR/webrtc/#rtcsessiondescription-class

### Members

`type` (GstWebRTCSDPType) –

the GstWebRTCSDPType of the description

`sdp` (GstSDPMessage *) –

the GstSDPMessage of the description

## GstWebRTC.WebRTCSessionDescription

See https://www.w3.org/TR/webrtc/#rtcsessiondescription-class

### Members

`type` (GstWebRTC.WebRTCSDPType) –

the GstWebRTC.WebRTCSDPType of the description

`sdp` (GstSdp.SDPMessage) –

the GstSdp.SDPMessage of the description

## GstWebRTC.WebRTCSessionDescription

See https://www.w3.org/TR/webrtc/#rtcsessiondescription-class

### Members

`type` (GstWebRTC.WebRTCSDPType) –

the GstWebRTC.WebRTCSDPType of the description

`sdp` (GstSdp.SDPMessage) –

the GstSdp.SDPMessage of the description

### Constructors

#### gst_webrtc_session_description_new

    GstWebRTCSessionDescription *
    gst_webrtc_session_description_new (GstWebRTCSDPType type,
                                        GstSDPMessage * sdp)

Parameters:

`type` –

a GstWebRTCSDPType

`sdp` ( [transfer: full]) –

a GstSDPMessage

Returns ( [transfer: full]) –

a new GstWebRTCSessionDescription from type and sdp

#### GstWebRTC.WebRTCSessionDescription.prototype.new

    function GstWebRTC.WebRTCSessionDescription.prototype.new(type: GstWebRTC.WebRTCSDPType, sdp: GstSdp.SDPMessage): {
        // javascript wrapper for 'gst_webrtc_session_description_new'
    }

Parameters:

`type` (GstWebRTC.WebRTCSDPType) –

a GstWebRTC.WebRTCSDPType

`sdp` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (GstWebRTC.WebRTCSessionDescription) –

a new GstWebRTC.WebRTCSessionDescription from type and sdp

#### GstWebRTC.WebRTCSessionDescription.new

    def GstWebRTC.WebRTCSessionDescription.new (type, sdp):
        #python wrapper for 'gst_webrtc_session_description_new'

Parameters:

`type` (GstWebRTC.WebRTCSDPType) –

a GstWebRTC.WebRTCSDPType

`sdp` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (GstWebRTC.WebRTCSessionDescription) –

a new GstWebRTC.WebRTCSessionDescription from type and sdp

### Methods

#### gst_webrtc_session_description_copy

    GstWebRTCSessionDescription *
    gst_webrtc_session_description_copy (const GstWebRTCSessionDescription * src)

Parameters:

`src` ( [transfer: none]) –

a GstWebRTCSessionDescription

Returns ( [transfer: full]) –

a new copy of src

#### GstWebRTC.WebRTCSessionDescription.prototype.copy

    function GstWebRTC.WebRTCSessionDescription.prototype.copy(): {
        // javascript wrapper for 'gst_webrtc_session_description_copy'
    }

Parameters:

`src` (GstWebRTC.WebRTCSessionDescription) –

a GstWebRTC.WebRTCSessionDescription

Returns (GstWebRTC.WebRTCSessionDescription) –

a new copy of src

#### GstWebRTC.WebRTCSessionDescription.copy

    def GstWebRTC.WebRTCSessionDescription.copy (self):
        #python wrapper for 'gst_webrtc_session_description_copy'

Parameters:

`src` (GstWebRTC.WebRTCSessionDescription) –

a GstWebRTC.WebRTCSessionDescription

Returns (GstWebRTC.WebRTCSessionDescription) –

a new copy of src

#### gst_webrtc_session_description_free

    gst_webrtc_session_description_free (GstWebRTCSessionDescription * desc)

Free desc and all associated resources

Parameters:

`desc` ( [transfer: full]) –

a GstWebRTCSessionDescription

#### GstWebRTC.WebRTCSessionDescription.prototype.free

    function GstWebRTC.WebRTCSessionDescription.prototype.free(): {
        // javascript wrapper for 'gst_webrtc_session_description_free'
    }

Free desc and all associated resources

Parameters:

`desc` (GstWebRTC.WebRTCSessionDescription) –

a GstWebRTC.WebRTCSessionDescription

#### GstWebRTC.WebRTCSessionDescription.free

    def GstWebRTC.WebRTCSessionDescription.free (self):
        #python wrapper for 'gst_webrtc_session_description_free'

Free desc and all associated resources

Parameters:

`desc` (GstWebRTC.WebRTCSessionDescription) –

a GstWebRTC.WebRTCSessionDescription

## Functions

### gst_webrtc_sdp_type_to_string

    const gchar *
    gst_webrtc_sdp_type_to_string (GstWebRTCSDPType type)

Parameters:

`type` –

a GstWebRTCSDPType

Returns –

the string representation of type or "unknown" when type is not recognized.

### GstWebRTC.WebRTCSDPType.prototype.to_string

    function GstWebRTC.WebRTCSDPType.prototype.to_string(type: GstWebRTC.WebRTCSDPType): {
        // javascript wrapper for 'gst_webrtc_sdp_type_to_string'
    }

Parameters:

`type` (GstWebRTC.WebRTCSDPType) –

a GstWebRTC.WebRTCSDPType

Returns (String) –

the string representation of type or "unknown" when type is not recognized.

### GstWebRTC.WebRTCSDPType.to_string

    def GstWebRTC.WebRTCSDPType.to_string (type):
        #python wrapper for 'gst_webrtc_sdp_type_to_string'

Parameters:

`type` (GstWebRTC.WebRTCSDPType) –

a GstWebRTC.WebRTCSDPType

Returns (str) –

the string representation of type or "unknown" when type is not recognized.

The results of the search are